For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Connection Types
      • GETGet Connection Type
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • POSTTest Connection
      • GETGet Connection
      • PUTUpdate Connection
      • DELDelete Connection
      • GETConnection Parameter Values
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Get Connection

GET
https://app.polytomic.com/api/connections/:id
GET
/api/connections/:id
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "api_calls_last_24_hours": 2021,
4 "configuration": {
5 "database": "example",
6 "hostname": "postgres.example.com",
7 "password": "********",
8 "port": 5432,
9 "username": "user"
10 },
11 "created_at": "2024-01-15T09:30:00Z",
12 "created_by": {
13 "id": "12345678-1234-1234-1234-123456789012",
14 "name": "John Doe",
15 "type": "user"
16 },
17 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
18 "name": "My Postgres Connection",
19 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
20 "parent_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
21 "policies": [
22 "248df4b7-aa70-47b8-a036-33ac447e668d"
23 ],
24 "saved": true,
25 "status": "healthy",
26 "status_error": "error message",
27 "type": {
28 "id": "postgresql",
29 "logo_url": "https://connect-assets.polytomic.com/logos/postgresql.svg",
30 "name": "PostgreSQL",
31 "operations": [
32 "bulksyncsource"
33 ]
34 },
35 "updated_at": "2024-01-15T09:30:00Z",
36 "updated_by": {
37 "id": "12345678-1234-1234-1234-123456789012",
38 "name": "John Doe",
39 "type": "user"
40 }
41 }
42}
Returns a single connection by ID, with sensitive fields redacted. To inspect the schemas available on this connection, trigger a refresh with [`POST /api/connections/{id}/schemas/refresh`](../../../api-reference/schemas/refresh) and track progress via [`GET /api/connections/{id}/schemas/status`](../../../api-reference/schemas/get-status).
Was this page helpful?
Previous

Update Connection

Next

Returns a single connection by ID, with sensitive fields redacted.

To inspect the schemas available on this connection, trigger a refresh with POST /api/connections/{id}/schemas/refresh and track progress via GET /api/connections/{id}/schemas/status.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error